version: '3'

services:
    redis:
        image: redis:6.2-alpine
        container_name: congregate_redis
        hostname: 'redis'
        restart: always
        ports:
          - 6379:6379
        command: redis-server --save 20 1 --loglevel warning --requirepass password --stop-writes-on-bgsave-error no
        networks:
          default:
            aliases:
              - redis

    mongo:
        image: mongo:4.4.16
        container_name: congregate_mongo
        restart: always
        ports:
          - 27017:27017
        hostname: 'mongo'
        networks:
            default:
                aliases: 
                    - mongo
